Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.unibi.techfak.InSilicoDicer.OperatingPackage
Class Evaluation

    java.lang.Object
      de.unibi.techfak.InSilicoDicer.OperatingPackage.Evaluation

    public class Evaluation

extends java.lang.Object

Author:
  Sylvia Tippman This class performs prediction of mature miRNA on all precursors of the input fasta file with all 3 prediction methods: - Intrinsic Prediction - Intrinsic Prediction with multiple alignment - Extrinsic Prediction The positions yielded with each prediction method is compared to the position of mature miRNA derived from miRNA registry. The results are shown in a table. Note: Evaluation only makes sense if the precursors you input are already contained in the miRNA registry. With this class you can check whethter your implemented action classes give reliable results / how close you are to the experimantal verified position of mature miRNA.

Constructor Summary
`Evaluation()`

Method Summary
`void` | `evaluate()` Starts the evaluation: Calculation of mature miRNA position with intrinsic, intrinsicPlus and extrinsic method.
`void` | `fillArrays(PrecursorContainer lonelyPCs, int i)` Calculates Postion of mature miRNA by aligning similar Precursors Intrinsic & Extrinsic
`void` | `fillSingleArrays(PrecursorContainer lonelyPCs, int i)` Calculates Position of mature miRNA just by scoring the Precursor no alignment with others!
`void` | `printResults()` Prints the results in a table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Evaluation

    public Evaluation()

Method Detail

### evaluate

    public void evaluate()

  Starts the evaluation: Calculation of mature miRNA position with intrinsic, intrinsicPlus and extrinsic method. Prints out a table (calling printResults() ) conataining mature miRNA position for all precursors.

### fillSingleArrays

    public void fillSingleArrays(PrecursorContainer lonelyPCs,
                                 int i)

  Calculates Position of mature miRNA just by scoring the Precursor no alignment with others!

  Parameters:
    `lonelyPCs` -
    `i` -

### fillArrays

    public void fillArrays(PrecursorContainer lonelyPCs,
                           int i)

  Calculates Postion of mature miRNA by aligning similar Precursors Intrinsic & Extrinsic

  Parameters:
    `lonelyPCs` -
    `i` -

### printResults

    public void printResults()

  Prints the results in a table.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD